ICP / GTM / REST API

Score prospect

Score a prospect against the workspace ICP.

POST /api/prospects/{prospectId}/scoreBackend AI, consent required

Parameters

workspaceIdRequired · string
See the input schema for this field.
prospectIdRequired · string
See the input schema for this field.
allowHostedAiOptional · boolean
Must be true when this operation uses Pipeline hosted inference.
Request example
curl -X POST "https://app.pipeline.help/api/prospects/00000000-0000-4000-8000-000000000000/score" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "X-Pipeline-Execution-Policy: hosted-enabled" \
  -H "Content-Type: application/json" \
  -d '{"workspaceId":"00000000-0000-4000-8000-000000000000","allowHostedAi":true}'
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "prospectId": {
      "type": "string"
    },
    "allowHostedAi": {
      "type": "boolean",
      "description": "Must be true when this operation uses Pipeline hosted inference."
    }
  },
  "required": [
    "prospectId",
    "workspaceId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview